%global upstream_name beanstalkc3
%global upstream_version 0.4.0

name:          python-%{upstream_name}
Version:       %{upstream_version}
Release:       1%{?dist}
Summary:       A simple beanstalkd client library for Python
License:       ASL 2.0
URL:           https://github.com/seveas/beanstalkc
Source0:       https://pypi.python.org/packages/source/b/%{upstream_name}/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildArch:     noarch

%global _description\
beanstalkc is a simple beanstalkd client library for Python. beanstalkd is a\
fast, distributed, in-memory workqueue service.

%description %_description

%package -n python3-%{upstream_name}
Summary: %summary
%{?python_provide:%python_provide python2-%{upstream_name}}

%description -n python3-%{upstream_name} %_description

%prep
%setup -qn %{upstream_name}-%{upstream_version}
rm -rf %{upstream_name}.egg-info
sed -i -e '/^#!\//, 1d' beanstalkc.py

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%files -n python3-%{upstream_name}
%{python3_sitelib}/*

%changelog
* Sat Aug 22 2020 Fabian Arrotin <fabian.arrotin@arrfab.net> - 0.4.0-1
- Initial version, new pkg name based on new upstream with python3 support
